/*
 * @Author: tengmingxue 1473375109@qq.com
 * @Date: 2023-08-28 13:46:21
 * @LastEditors: tengmingxue 1473375109@qq.com
 * @LastEditTime: 2023-08-28 21:53:01
 * @FilePath: \xld-gis-admin\src\views\dataAdmin\dataAdmin\sysDic.ts
 * @Description: 系统字典
 */
import { getServiceTypes,queryServiceTags,queryDicsByName,queryCoors } from '/@/api/resource/map';

const resTag = await queryServiceTags()
let listTag = []
resTag.map(item => {
  listTag.push({
    label: item.name,
    value: item.code
  })
})
/**
 * 密级字典
*/
export const secrets = await queryDicsByName('密级')
/**
 * 服务标签
*/
export const serviceTags = listTag;
/**
 * 坐标系列表
*/
export const sysCoors = await queryCoors()
/**
 * 服务类型
*/
const resTypes = await getServiceTypes()
let listType = []
resTypes.map(item => {
    listType.push({
    label: item.name,
    value: item.id
  })
})
export const serviceTypes = listType
/**
 * 责任处室
*/
export const respDept = await queryDicsByName('责任处室')

/**
 * 保管单位
*/
export const collectDept = await queryDicsByName('保管单位')
/**
 * EPSG code
*/
export const EPSGCodes = await queryDicsByName('EPSG code')


export const checkStatus = [
  { label: '未提交', value: 1 },
  { label: '审核中', value: 2 },
  { label: '审核不通过', value: 3 },
  { label: '被驳回', value: 4 },
  { label: '审核通过', value: 5 },
]